<?php

use app\modules\swissqrcode\service\SwissQRCode;


class SwissQRCode_module
    {
    public function render($data): void
        {
        $sqr = new SwissQRCode($data);
        
        // if Swiss QR Code active and of type invoice
        if($sqr->isSwissQrEnabled())
            {
            if($sqr->isInvoice())
                {
                $sqr->render();
                }
            }
        }
    }
